% Aufgabe 5: Signalanalyse mittels AKF und KKF
% 
% Anfangseinstellungen:
% Kanal IN1 : Funktionsgenerator: Sinus Us=1V, f=500Hz
% Kanal IN2 : Rauschgenerator: verrauschtes Signal vom Funktionsgenerator
% 
% '%' beginnt einen Kommentar
% ';' unterdrckt die Ausgabe einer Befehlszeile im Command Window
% 'close all' schliet alle figures
% 'clear all' lscht alle Variablen
% 'clc' leert das Command Window
% 'Startwert:Inkrement:Endwert' erzeugt einen Vektor
% 'xcorr' Schtzung der Autokorrelation/Kreuzkorrelation

%  Korrekturwerte einsetzen
off_corr_1=0;
off_corr_2=0;
gain_corr_1=1;
gain_corr_2=1;

% Werte fr die Einlesefunktion
N = 1000;
fs = 10000;
vrange = 2.5;

% Konfiguration der Messhardware auf die gewnschten Parameter
% Diesmal wird ein Trigger verwendet um ein Stehendes Bild zu erreichen
% Es muss 'decimate' verwendet werden um das Rauschen nicht zu unterdrcken
reamio('configure',N,fs,vrange,'decimate',1,'rising',0.5)

% Erstellen des Zeitvektors t
t = (0:N-1)/fs;

% Erstellen des Verschiebungsvektors k
% Hier bitte Code ergnzen
k = 


% Einlesen von Kanal IN1 und IN2 und Korrektur
[x1 x2] = reamio('in',12);
x1 = (x1-off_corr_1)*gain_corr_1;
x2 = (x2-off_corr_2)*gain_corr_2;


% Korrelationen
% Experimentieren Sie mit den verschiedenen SCALEOPT-Optionen von 'xcorr'
% Hier bitte Code ergnzen
x1x2_kkf = 
x1_akf = 
x2_akf = 

% Darstellung des Signals x1(t) und des verrauschten Signals x2(t)
figure(1)
plot(t,x1,...
    t,x2,'r')
title('Signal x1(t) und verrauschtes Signal x2(t)')
xlabel('t in s')
ylabel('x1(t) und x2(t) in V')
grid on, zoom on

% Darstellung KKF(x1,x2)
figure(2)
plot(k,x1x2_kkf)
title('KKF(x1,x2)')
xlabel('k in Samples')
ylabel('Rx1x2 in V ^2')
grid on, zoom on

% Darstellung AKF(x1)
figure(3)
plot(k,x1_akf)
title('AKF(x1)')
xlabel('k in Samples')
ylabel('Rx1x1 in V ^2')
grid on, zoom on

% Darstellung AKF(x2)
figure(4)
plot(k,x2_akf)
title('AKF(x2)')
xlabel('k in Samples')
ylabel('Rx2x2 in V ^2')
grid on, zoom on
    
