% Aufgabe 3: Messung von Mittelwert, Gleichrichtwert und Effektivwert
% 
% Anfangseinstellungen:
% Kanal IN1 : Funktionsgenerator: Sinus Us=1V, f=500Hz
% 
% '%' beginnt einen Kommentar
% ';' unterdrckt die Ausgabe einer Befehlszeile im Command Window
% '.' Fhrt mathematische Operationen elementweise aus
% 'close all' schliet alle figures
% 'clear all' lscht alle Variablen
% 'clc' leert das Command Window
% 'Startwert:Inkrement:Endwert' erzeugt einen Vektor
% 'cutperiod' Beschneidet einen Vektor auf ganze Perioden
% 'length' Lnge eines Vektors
% 'mean' Arithmetischer Mittelwert
% 'max' Maximalwert
% 'abs' Betrag
% 'sqrt' Wurzel

%  Korrekturwerte einsetzen
off_corr_1=0;
off_corr_2=0;
gain_corr_1=1;
gain_corr_2=1;

% Werte fr die Einlesefunktion
N = 1000;
fs = 10000;
vrange = 2.5;

% Erzeugen des Stop-Button-Fensters
make_panel

% Konfiguration der Messhardware auf die gewnschten Parameter
% Diesmal wird ein Trigger verwendet um ein Stehendes Bild zu erreichen
reamio('configure',N,fs,vrange,'average',1,'rising',0);

% Erstellen des Zeitvektors t
t = (0:N-1)/fs;

% Schleife luft bis Stop-Button gedrckt wird
while not_stop()
    
    % Einlesen von Kanal IN1 und Korrektur
    x = reamio('in',1);
    x = (x-off_corr_1)*gain_corr_1;
    
    % 'cutperiod' schneided Werte eines Vektors ab die nicht zu einem
    % ganzzahligen Vielfachen der Periodendauer des Signals gehren
    % wichtig fr die Einhaltung der Integrationsgrenzen
    x_cutperiod = cutperiod(x);
    
    % Erstellen des beschnittenen Zeitvektors t
    t_cutperiod = (0:length(x_cutperiod)-1)/fs;
    
    % Darstellung des Eingangssignals und des beschnittenen Eingangssignals
    sfigure(1)  %'sfigure' stiehlt bei einer Aktualisierung nicht den Fokus
    plot(t,x,'r--',...
        t_cutperiod,x_cutperiod,'b')
    title('Vergleich des Eingangssignals x(t) und des beschnittenen Eingangssignals ')
    xlabel('t in s')
    ylabel('x(t), x_{cutperiod}(t)')
    grid on, zoom on
    
    % Berechnung der Kennwerte von x
    % Benutzen Sie immer 'x_cutperiod' um die Integrationsgrenzen einzuhalten 
    % Hier bitte Code ergnzen
    N_cutperiod =
    x_max = 
    x_mean =
    x_gleichricht =
    x_effektiv =
 
    x_effektiv_wechsel =
    x_amplitude_wechsel = 
    
    F =   
    C = 
    
    % Anzeigen der Kennwerte im Stop-Button-Fenster
    % Werte die in die Variablen out{1} bis out{10} geschrieben werden
    % werden im Stop-Button-Fenster angezeigt
    out{1} = N_cutperiod;
    out{2} = x_max;
    out{3} = x_mean;
    out{4} = x_gleichricht;
    out{5} = x_effektiv;
    out{6} = x_effektiv_wechsel;
    out{7} = x_amplitude_wechsel;
    out{8} = F;
    out{9} = C;
    
end