% MT LU Kolloquium SS 2016
%--------------------------------------------------------------------------
% BITTE AUSFLLEN!
%
% NAME: 
% MATRIKELNUMMER:
% DATUM & UHRZEIT:
%-------------------------------------------------------------------------- 
% 
% '%' beginnt einen Kommentar
% ';' unterdrckt die Ausgabe einer Befehlszeile im Command Window
% 'close all' schliet alle figures
% 'clear all' lscht alle Variablen
% 'clc' leert das Command Window
% 'Startwert:Inkrement:Endwert' erzeugt einen Vektor
% 'figure' erzeugt ein neues Fenster
% 'plot' Zeichnet ein Diagramm
% 'hist' Zeichnet ein Histogramm
% 'mean' Arithmetischer Mittelwert 
% 'save' Speichert Variablen in eine Datei
% 'load' ldt Variablen aus einer Datei


% HINWEIS zum Ausfhren des Skripts:
% Dieses Skript ist in sogenannte "Sections" unterteilt; diese werden mit
% %% voneinander getrennt. Klickt man in eine Section, ist diese hellgelb
% hinterlegt. Ein Section kann durch Drcken von Strg+Enter ausgefhrt
% werden. Sie knnen also die Sections nacheinander getrennt ausfhren.
% Achten Sie allerdings darauf, dass Variablen die Sie in einer Section
% verwenden wollen, bereits vorher definiert bzw. gesetzt werden mssen
% (z.B durch ausfhren einer vorangehende Section)!

% Leeren des Command Window
clc

% Werte fr die Einlesefunktion ERGNZEN
N = ;       % Anzahl der einzulesenden Werte, Vektorlnge
fs = ;     % Samplefrequenz, Abtastrate

% Eingangsspannungsbereich ERGNZEN
vrange = ;   % Eingangsspannungsbereich +- um 0V


% Konfiguration der Messhardware auf die gewnschten Parameter
reamio('configure',N,fs,vrange,'average');

%%  Offset Korrektur
% Hinweis:
% Der korrigierte Wert wird ber folgende Formel berechnet
% x_corr = (x_gemessen-off_corr)*gain_corr

% Bennenung der Variablen:
% off_corr_1: Korrekturwert Offset Kanal 1
% off_corr_2: Korrekturwert Offset Kanal 2

% Einlesen von beiden Kanlen gleichzeitig
% Kanal 1: in_1
% Kanal 2: in_2
reamio('configure',N,fs,vrange,'average');
[in_1 in_2] = reamio('in',12);

% Offset Korrektur ERGNZEN
% Hinweis: Befehl mean() ist hier sinnvoll!

% Speichern der Werte
%save off_corr.mat off_corr_1 off_corr_2

%% Gain Korrektur 

% Bennenung der Variablen:
% gain_corr_1: Korrekturwert Gain Kanal 1
% gain_corr_2: Korrekturwert Gain Kanal 2

% Einlesen von beiden Kanlen gleichzeitig ERGNZEN
% Kanal 1: in_1
% Kanal 2: in_2


% Gain Korrektur ERGNZEN
% Hinweis: Befehle mean() und ./ sind hier sinnvoll!


% Speichern der Werte
%save gain_corr.mat gain_corr_1 gain_corr_2

%% Grafische Darstellung 

% Erzeugen des Stop-Button-Fensters
make_panel

% Grafische Darstellung
% Erstellen des Zeitvektors t ERGNZEN

% Figure zur Darstellung ffnen
sfigure(1)

% Schleife luft bis Stop-Button gedrckt wird
while not_stop()
    
    % Einlesen der Kanle IN1 und IN2 ERGNZEN
    % Kanal 1: u_x
    % Kanal 2: u_0

    
    
    % Offset und Gain Korrektur der beiden Kanle ERGNZEN
   
    
   
    
    % Lissajous Figur der korrigierten Signale plotten ERGNZEN
    % Hinweis: Befehle plot, grid
    
    
    % nicht verndern!
    axis([-0.5 0.5 -0.5 0.5])
    axis equal
    
    % Diagrammbeschriftung ERGNZEN
    % Hinweis: Befehle title, xlabel, ylabel
    
    
end




